#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-KIYTM9Hl2xEGXpDN7mWDAP
key: crypto-pubkey-0.2.8-KIYTM9Hl2xEGXpDN7mWDAP
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: fd1a3e75e0f1c79f16bbac3824336084
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-KIYTM9Hl2xEGXpDN7mWDAP
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL
    crypto-random-0.0.9-Fcp408PXLvzCv0vQLzU1gV
    crypto-pubkey-types-0.4.3-SkeNnbimru7EVoLcxABa2
    cryptohash-0.11.9-3kMjAXXN1TD3Uhr9A2UdNu
    crypto-numbers-0.2.7-G7rqAgbT0bfGkiWVzthmTp
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL=24171e0673b6d1cdc40be4d3c9a33c0e
             crypto-random-0.0.9-Fcp408PXLvzCv0vQLzU1gV=7eadf11f5db1db19cb95785e541f209e
             crypto-pubkey-types-0.4.3-SkeNnbimru7EVoLcxABa2=133c101b2d77644207c6baa093e5bd4e
             cryptohash-0.11.9-3kMjAXXN1TD3Uhr9A2UdNu=0db6ce7031650ce359ebb858f21b87d4
             crypto-numbers-0.2.7-G7rqAgbT0bfGkiWVzthmTp=2af04eb69a1838f3a1ce36d80c44a7f9
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

